#!/bin/sh

# Get the kernel version.  IZ2S is stock 2.6.21.1 kernel.
kernelver=`uname -a | cut -d " " -f 3`

# ALSA is not loaded by default on IZ2Se.  Load if needed.
if test ! -c /dev/snd/pcmC0D0p
then
	echo "Loading ALSA (sound) ..." > /dev/tty0
	/mnt/sd0/bin/setup-alsa.sh > /dev/tty0 < /dev/tty0 
fi

#either load the z2 mouse emulator, or run SDL with no mouse driver.
#setup-mouse.sh
export SDL_NOMOUSE=1 

#dsp may be more appropriate for beeps and boops.
export SDL_AUDIODRIVER=dsp 
#alsa is better for music on IZ2S
#export SDL_AUDIODRIVER=alsa

export SDL_VIDEO_FBCON_ROTATION="CCW" 

# SDL does not like the sticky ALT key, and add ALT-Shift-number for FN keys.
loadkeys < /mnt/sd0/etc/sdl-keymap.map

/mnt/sd0/share/sdlbasic/bin/sdlBrt arcanoid.sdlbas

loadkeys < /mnt/sd0/etc/keymap.map

